Core - Task # 56247

Epic # 55070 (Accepted): Workpackages

Epic # 55066 (New): WP: Security enhancements

Story # 55516 (Resolved): Reduce the number of backend script entry points

Task # 56246 (Rejected): BackenUstility::getModuleUrl should respect old modules (not mod.php style)

Status: Rejected Priority: Should have

Author: Helmut Hummel Category:

Created: 2014-02-24 Assigned To:

Updated: 2014-03-07 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Remove all conf.php files and use the BackendUstility::addModule API to add the configuration

Description

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addModule has a fifth parameter which can take module configuration that

used to be in conf.php files.

This task is about removing all conf.php files and adding the configuration to the BackendUtility::addModule API calls

History

#1 - 2014-02-24 18:14 - Alexander Schnitzler
- Status changed from New to Accepted

- Assigned To set to Alexander Schnitzler

#2 - 2014-03-07 01:24 - Helmut Hummel

- Status changed from Accepted to Rejected

not really possible for now

#3 - 2014-03-07 01:25 - Helmut Hummel
- Assigned To deleted (Alexander Schnitzler)
